<!DOCTYPE html>
<html>
<head>
  <title>CI_view</title>
  <meta charset="UTF-8">
  
  <!-- recuperation de axios et de vue.js -->
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  
  <!-- recuperation de chart.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.13.0/moment.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
  
  <!-- recuperation de zoom.js  -->
  <script src="https://cdn.jsdelivr.net/npm/hammerjs@2.0.8"></script>
  <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-zoom@0.7.2"></script>
  
  <!-- lien vers les feuilles de style -->
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="https://www.w3schools.com/lib/w3-theme-blue-grey.css">
  
  <!-- lien vers le document utilisant vue -->
  <script type="text/javascript" src="myScript.js"></script>

  </head>
  <body>
  
  <header class="w3-container w3-theme w3-card" id="header">
    <h1 class='header w3-center'>ONAP CI test results visualisation</h1>
  </header>
  
  
  <section class="tools w3-theme-l5">
     <table id="selection">
      <tr style="text-align: center;">
        <td style="width: 33%;">  
          <h3>Time interval</h3>
        </td>
        <td style="width: 33%;">  
          <h3>Case name</h3>
        </td>
        <td style="width: 33%;">  
          <h3>Settings</h3>
        </td>
      </tr>
      <tr>
        <td>
          <div id="date">
            <ul style="list-style-type: none;">
              <li v-for="element in date_list">
                <div :title="element.title">
                  {{ element.name }}  
                  <input-date v-model="element.date"></input-date>
                </div>
                <button style="width: 45%;" @click="set_today(element)">Set today</button>
                <button style="width: 45%;" @click="add_day(element)">{{ element.button_text }}</button>
                <p class="detail">{{ element.name }}: {{ element.date }}</p>
              </li>
            </ul>
          </div>
        </td>
        <td>
          <div id="case_name" title="select one or more case name">
            <ul style="list-style-type: none;">
              <li v-for="element in list">
                <label>
                  <input type="checkbox"
                    v-on:change="change(element.name)"
                    v-bind:checked="get_element(element.name)">

                  <span v-if="get_element(element.name)" style="font-style: italic;">
                    {{ element.name }}
                  </span>
                  <span v-else>
                    {{ element.name }}
                  </span>
                </label>
              </li>
            </ul>
          </div>
        </td>
        <td>
          <div id="option">
            <ul style="list-style-type: none;">
              <li>
                
                <div>
                  CI chained : 
                  <select v-model="selector_pod" name="element" >
                    <option v-for="element in list_pod" :value="element">{{ element.description }}</option>
                 </select>
                </div>
                
                <div>
                  Type : 
                  <select v-model="selector_test" name="element" >
                    <option v-for="element in list_test" :value="element" :title="element.title">{{ element.description }}</option>
                 </select>
                </div>
              
              </li>
            </ul>
            <ul style="list-style-type: none;" title="the number of tests analysed in the time interval">
              <li>
                <div>Number of data: {{nb_data}}</div>
                <input type="number"
                  v-model="temporaire"
                  v-on:change="data_change(temporaire)"
                  min="1">
                <button @click="data_change(temporaire = 20)">return to 20</button>
              </li>
            </ul>
          </div>
          <div id="requete">
            <button @click="update_requete()">Submit</button>
            <div class="detail">
              {{error_message}}
            </div>
          </div>
          <div id="api">
            <table>
              <tr>
                <td v-for="temp in tempo">
                  <div v-if="temp=='pod'" class="loader_blue" title="It can be a little bit long if the number of data is important"></div>
                  <div v-else class="loader_orange" title="It can be a little bit long if the number of data is important"></div>
                  <span class="detail">{{temp}}</span>
                </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
    </table> 
  </section>
  
  <section class="tools w3-theme-l5">
    <div id="curve">
      <canvas id="line-chart" width="800" height="250"></canvas>
    </div>
    <div id="chart_config">
      <label v-for="element in option">
        <span v-if="element == selection">
          <button @click="change(element)" style="font-style: italic;">{{ element.text }}</button>
        </span>
        <span v-else>
          <button @click="change(element)">{{ element.text }}</button>
        </span>
      </label>
    </div>
  </section>
  <section class="tools w3-theme-l5" style="margin-top: 30px;">
    <div id="information">
      <div>
        To obtain more information about these chained tests:
      </div>
      <button @click="update_requete()" title="Do not hesitate to increase the number of data above to have enough chained test results">More information</button>
      <div v-if="wait" class="loader_orange" title="It can be a little bit long if the number of data is important"></div>
      <table v-if="show">
        <tr>
          <td v-for="element in legend" style="border-bottom: 1px solid #b3b3b3">
            <span>
              {{element}}
            </span>
          </td>
        </tr>
        <tr v-for="liste in data">
          <td v-for="element in liste.slice(1)" style="border-top: 1px solid #b3b3b3" :title="liste[0]">
            <div v-for="arg in format(element)" style="text-align:center;">
              {{arg}}
            </div>
          </td>
        </tr>
      </table>
    </div>
  </section>
</body>
</html>
